/[resiprocate]/main/resip/stack/test/runtests.sh
ViewVC logotype

Diff of /main/resip/stack/test/runtests.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 5777 by derek, Thu Jan 5 01:36:53 2006 UTC revision 5786 by alan, Wed Jan 11 06:52:45 2006 UTC
# Line 1  Line 1 
1    #!/bin/bash
2    
3  function die() {  function die() {
4      echo "$1" >&2;      echo "$1" >&2;
5      exit 1;      exit 1;
6  }  }
7    
8  failed=0;  function pad () {
9        local l=$( echo -n $2 | wc -c )
10        local o=""
11        while [ $l -lt $1 ]; do
12            o="${o} "
13            l=$(( $l + 1 ))
14        done
15        echo -n "${o}${2} : " >& 2
16    }
17    
18    failed=0
19    
20    
21    drivers="
22            testAppTimer
23            testApplicationSip
24            testConnectionBase
25            testCorruption
26            testDigestAuthentication
27            testEmbedded
28            testEmptyHeader
29            testExternalLogger
30            testIM
31            testMessageWaiting
32            testMultipartMixedContents
33            testMultipartRelated
34            testParseBuffer
35            testParserCategories
36            testPidf
37            testPksc7
38            testPlainContents
39            testRlmi
40            testSdp
41            testSipFrag
42            testSipMessage
43            testSipMessageMemory
44            testStack
45            testTcp
46            testTime
47            testTimer        
48            testTuple
49            testUri"
50    
51    echo top
52    
53    x=0
54    length=0
55    
56    for prg in ${drivers}; do
57        x=$(( $(echo $prg  | wc -c ) + 0 ))
58        [ $x"x" == "x" ] && continue
59        if [ $x -gt $length ]; then
60            length=$x
61        fi
62    done
63    
64    flist=""
65    mlist=""
66    failed=0
67    missed=0
68    
69  for i in \  for i in ${drivers}; do
70          testAppTimer \    t=./$i
71          testApplicationSip \    pad $length $i
72          testConnectionBase \      if test ! -x $t; then
73          testCorruption \          echo "not found. (fail)" >&2
74          testDigestAuthentication \          mlist="${mlist} ${i}"
75          testEmbedded \          missed=$(( $missed + 1 ))
         testEmptyHeader \  
         testExternalLogger \  
         testIM \  
         testMessageWaiting \  
         testMultipartMixedContents \  
         testMultipartRelated \  
         testParseBuffer \  
         testParserCategories \  
         testPidf \  
         testPksc7 \  
         testPlainContents \  
         testRlmi \  
         testSdp \  
         testSipFrag \  
         testSipMessage \  
         testSipMessageMemory \  
         testStack \  
         testTcp \  
         testTime \  
         testTimer        \  
         testTuple \  
         testUri;  
 do  
     if test ! -x $i; then  
         echo "$i: test does not exist" >&2;  
76      else      else
77          ./$i >$i.log 2>&1;          if $t > $i.log 2>&1; then
78          if test $? -ne 0; then              echo "passed" >&2
79              die "$i: test failed";          else
80              failed=`expr ${failed} + 1`;              echo "failed" >&2
81          fi;              failed=$(( $failed + 1 ))
82          echo "$i: test passed";              flist="${flist} ${i}"
83            fi
84      fi;      fi;
85  done;  done;
86    
 if test ${failed} -ne 0; then  
     echo "${failed} tests failed" >&2;  
     exit 1;  
 fi;  
87    
88  #       sipTortureTests  if [ ${missed} -ne 0 ]; then
89  #       test503Generator      echo "Missed: "${mlist}
90  #       testDigestAuthentication2      echo "${missed} tests missing" >&2
91  #       testFlowId  fi
92  #       testLockStep  
93  #       testResponses  if [ ${failed} -ne 0 ]; then
94  #       testUdp      [ ${missed} -ne 0 ] && echo ""
95  #       testDns      echo "Failed: "${flist}
96        echo "${failed} tests failed" >&2
97    fi
98    
99    
100    exit $(( ${missed} + ${failed} ))
101    

Legend:
Removed from v.5777  
changed lines
  Added in v.5786

webmaster AT resiprocate DOT org
ViewVC Help
Powered by ViewVC 1.1.27